--超级运动员团队训练
function c114514722.initial_effect(c)
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_ACTIVATE)
	e1:SetCode(EVENT_FREE_CHAIN)
	c:RegisterEffect(e1)
	local e2=Effect.CreateEffect(c)
	e2:SetDescription(aux.Stringid(114514722,0))
	e2:SetCategory(CATEGORY_DRAW)
	e2:SetType(EFFECT_TYPE_FIELD+EFFECT_TYPE_TRIGGER_O)
	e2:SetProperty(EFFECT_FLAG_DELAY+EFFECT_FLAG_PLAYER_TARGET)
	e2:SetCode(EVENT_SPSUMMON_SUCCESS)
	e2:SetRange(LOCATION_SZONE)
	e2:SetCondition(c114514722.drcon)
	e2:SetTarget(c114514722.drtg)
	e2:SetOperation(c114514722.drop)
	c:RegisterEffect(e2)
end
function c114514722.cfilter(c)
	return c:IsSetCard(0xb2) and c:IsFaceup() and c:IsPreviousLocation(LOCATION_HAND) and Duel.GetFlagEffect(tp,c:GetCode())==0
end
function c114514722.drcon(e,tp,eg,ep,ev,re,r,rp)
	return eg:IsExists(c114514722.cfilter,1,nil)
end
function c114514722.drtg(e,tp,eg,ep,ev,re,r,rp,chk)
	if chk==0 then return Duel.IsPlayerCanDraw(tp,1) end
	Duel.SetTargetPlayer(tp)
	Duel.SetTargetParam(1)
	Duel.SetOperationInfo(0,CATEGORY_DRAW,nil,0,tp,1)
	Duel.SetTargetCard(eg)
end
function c114514722.drop(e,tp,eg,ep,ev,re,r,rp)
	local g=eg:Filter(c114514722.cfilter,nil,tp)
	local dg=g:Filter(Card.IsRelateToChain,nil)
	for tc in aux.Next(dg) do
		Duel.RegisterFlagEffect(tp,tc:GetCode(),RESET_PHASE+PHASE_END,EFFECT_FLAG_OATH,1)
	end
	local p,d=Duel.GetChainInfo(0,CHAININFO_TARGET_PLAYER,CHAININFO_TARGET_PARAM)
	Duel.Draw(p,d,REASON_EFFECT)
end